Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl
Interface DdlConstants

All Known Subinterfaces:
  Db2DdlConstants, DerbyDdlConstants, MySqlDdlConstants, OracleDdlConstants, PostgresDdlConstants, SqlServerDdlConstants, SybaseDdlConstants

All Known Implementing Classes:
  DataTypeParser, Db2DdlParser, DerbyDdlParser, MySqlDdlParser, OracleDdlParser, PostgresDdlParser, SqlServerDdlParser, StandardDdlParser, SybaseDdlParser

    public interface DdlConstants

Nested Class Summary
`static interface` | `DdlConstants.AstNodeNames`
`static interface` | `DdlConstants.DataTypes` Constants related to Data Types
`static interface` | `DdlConstants.DropBehavior`
`static interface` | `DdlConstants.MatchType`
`static interface` | `DdlConstants.Problems`
`static interface` | `DdlConstants.ReferencialAction`
`static interface` | `DdlConstants.StatementStartPhrases`

Field Summary
`static String` | `ALTER`
`static String` | `CHECK`
`static String` | `COLUMN`
`static String` | `COMMA`
`static String` | `CONSTRAINT`
`static int` | `CONSTRAINT_C`
`static int` | `CONSTRAINT_FK`
`static int` | `CONSTRAINT_PK`
`static int` | `CONSTRAINT_UC`
`static String` | `CREATE`
`static String` | `DECLARE`
`static int` | `DEFAULT_ID_CURRENT_USER`
`static int` | `DEFAULT_ID_DATETIME`
`static int` | `DEFAULT_ID_LITERAL`
`static int` | `DEFAULT_ID_NULL`
`static int` | `DEFAULT_ID_SESSION_USER`
`static int` | `DEFAULT_ID_SYSTEM_USER`
`static int` | `DEFAULT_ID_UNDEFINED`
`static int` | `DEFAULT_ID_USER`
`static String` | `DEFAULT_TERMINATOR`
`static String` | `DELETE`
`static String` | `DROP`
`static String` | `FOREIGN`
`static String` | `FOREIGN_KEY`
`static long` | `GIGA`
`static String` | `GRANT`
`static String` | `INDEX`
`static String` | `INSERT`
`static String` | `KEY`
`static long` | `KILO`
`static String` | `L_PAREN`
`static String` | `L_SQUOTE`
`static long` | `MEGA`
`static String` | `MISSING_TERMINATOR_NODE_LITERAL`
`static String` | `OFF`
`static String` | `ON`
`static String` | `PERIOD`
`static String` | `PRIMARY`
`static String` | `PRIMARY_KEY`
`static String` | `R_PAREN`
`static String` | `REVOKE`
`static String` | `SCHEMA`
`static String` | `SELECT`
`static String` | `SEMICOLON`
`static String` | `SET`
`static String` | `SPACE`
`static String[]` | `SQL_92_RESERVED_WORDS`
`static String` | `TABLE`
`static String` | `UNIQUE`
`static String` | `UPDATE`
`static String` | `VIEW`

Field Detail

### KILO

    static final long KILO

See Also:
  Constant Field Values

### MEGA

    static final long MEGA

See Also:
  Constant Field Values

### GIGA

    static final long GIGA

See Also:
  Constant Field Values

### DEFAULT_TERMINATOR

    static final String DEFAULT_TERMINATOR

See Also:
  Constant Field Values

### SPACE

    static final String SPACE

See Also:
  Constant Field Values

### PERIOD

    static final String PERIOD

See Also:
  Constant Field Values

### COMMA

    static final String COMMA

See Also:
  Constant Field Values

### SEMICOLON

    static final String SEMICOLON

See Also:
  Constant Field Values

### L_PAREN

    static final String L_PAREN

See Also:
  Constant Field Values

### R_PAREN

    static final String R_PAREN

See Also:
  Constant Field Values

### L_SQUOTE

    static final String L_SQUOTE

See Also:
  Constant Field Values

### CONSTRAINT_UC

    static final int CONSTRAINT_UC

See Also:
  Constant Field Values

### CONSTRAINT_FK

    static final int CONSTRAINT_FK

See Also:
  Constant Field Values

### CONSTRAINT_PK

    static final int CONSTRAINT_PK

See Also:
  Constant Field Values

### CONSTRAINT_C

    static final int CONSTRAINT_C

See Also:
  Constant Field Values

### PRIMARY_KEY

    static final String PRIMARY_KEY

See Also:
  Constant Field Values

### FOREIGN_KEY

    static final String FOREIGN_KEY

See Also:
  Constant Field Values

### ALTER

    static final String ALTER

See Also:
  Constant Field Values

### CHECK

    static final String CHECK

See Also:
  Constant Field Values

### COLUMN

    static final String COLUMN

See Also:
  Constant Field Values

### CONSTRAINT

    static final String CONSTRAINT

See Also:
  Constant Field Values

### CREATE

    static final String CREATE

See Also:
  Constant Field Values

### DECLARE

    static final String DECLARE

See Also:
  Constant Field Values

### DROP

    static final String DROP

See Also:
  Constant Field Values

### FOREIGN

    static final String FOREIGN

See Also:
  Constant Field Values

### GRANT

    static final String GRANT

See Also:
  Constant Field Values

### REVOKE

    static final String REVOKE

See Also:
  Constant Field Values

### INDEX

    static final String INDEX

See Also:
  Constant Field Values

### INSERT

    static final String INSERT

See Also:
  Constant Field Values

### UPDATE

    static final String UPDATE

See Also:
  Constant Field Values

### DELETE

    static final String DELETE

See Also:
  Constant Field Values

### SELECT

    static final String SELECT

See Also:
  Constant Field Values

### KEY

    static final String KEY

See Also:
  Constant Field Values

### OFF

    static final String OFF

See Also:
  Constant Field Values

### ON

    static final String ON

See Also:
  Constant Field Values

### PRIMARY

    static final String PRIMARY

See Also:
  Constant Field Values

### SCHEMA

    static final String SCHEMA

See Also:
  Constant Field Values

### SET

    static final String SET

See Also:
  Constant Field Values

### TABLE

    static final String TABLE

See Also:
  Constant Field Values

### UNIQUE

    static final String UNIQUE

See Also:
  Constant Field Values

### VIEW

    static final String VIEW

See Also:
  Constant Field Values

### DEFAULT_ID_UNDEFINED

    static final int DEFAULT_ID_UNDEFINED

See Also:
  Constant Field Values

### DEFAULT_ID_LITERAL

    static final int DEFAULT_ID_LITERAL

See Also:
  Constant Field Values

### DEFAULT_ID_DATETIME

    static final int DEFAULT_ID_DATETIME

See Also:
  Constant Field Values

### DEFAULT_ID_USER

    static final int DEFAULT_ID_USER

See Also:
  Constant Field Values

### DEFAULT_ID_CURRENT_USER

    static final int DEFAULT_ID_CURRENT_USER

See Also:
  Constant Field Values

### DEFAULT_ID_SESSION_USER

    static final int DEFAULT_ID_SESSION_USER

See Also:
  Constant Field Values

### DEFAULT_ID_SYSTEM_USER

    static final int DEFAULT_ID_SYSTEM_USER

See Also:
  Constant Field Values

### DEFAULT_ID_NULL

    static final int DEFAULT_ID_NULL

See Also:
  Constant Field Values

### MISSING_TERMINATOR_NODE_LITERAL

    static final String MISSING_TERMINATOR_NODE_LITERAL

See Also:
  Constant Field Values

### SQL_92_RESERVED_WORDS

    static final String[] SQL_92_RESERVED_WORDS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.